GetAgentSpace
Retrieves detailed information about a specific AgentSpace.
Request Syntax
GET /v1/agentspaces/agentSpaceId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- agentSpaceId
-
Unique identifier for an agent space (allows alphanumeric characters and hyphens; 1-64 characters)
Pattern:
[a-zA-Z0-9-]{1,64}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"agentSpace": {
"agentSpaceId": "string",
"createdAt": "string",
"description": "string",
"kmsKeyArn": "string",
"locale": "string",
"name": "string",
"updatedAt": "string"
},
"tags": {
"string" : "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- agentSpace
-
Represents a complete AgentSpace with all its properties, timestamps, encryption settings, and unique identifier.
Type: AgentSpace object
-
Tags associated with the AgentSpace.
Type: String to string map
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
[\p{L}\p{Z}\p{N}_.:/=+\-@]*Value Length Constraints: Minimum length of 0. Maximum length of 256.
Value Pattern:
[\p{L}\p{Z}\p{N}_.:/=+\-@]*
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Access to the requested resource is denied due to insufficient permissions.
- message
-
Detailed error message describing why access was denied.
HTTP Status Code: 403
- ConflictException
-
The request conflicts with the current state of the resource.
- message
-
Detailed error message describing the conflict.
HTTP Status Code: 409
- ContentSizeExceededException
-
This exception is thrown when the content size exceeds the allowed limit.
HTTP Status Code: 413
- InternalServerException
-
This exception is thrown when an unexpected error occurs in the processing of a request.
HTTP Status Code: 500
- InvalidParameterException
-
One or more parameters provided in the request are invalid.
- message
-
Detailed error message describing which parameter is invalid and why.
HTTP Status Code: 400
- ResourceNotFoundException
-
The requested resource could not be found.
- message
-
Detailed error message describing which resource was not found.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request would exceed the service quota limit.
- message
-
Detailed error message describing which quota was exceeded.
HTTP Status Code: 402
- ThrottlingException
-
The request was throttled due to too many requests. Please slow down and try again.
- message
-
Detailed error message describing the throttling condition.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
- fieldList
-
A list of specific failures encountered while validating the input. A member can appear in this list more than once if it failed to satisfy multiple constraints.
- message
-
A summary of the validation failure.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: